import { default as MicroEditorModel } from "../../Models/MicroEditorModel.js";
import { EditorBaseOf, IEditorBaseOfOptions } from "./EditorBase.js";
export declare class MicroEditorBase extends EditorBaseOf<MicroEditorModel> {
    constructor(options: IEditorBaseOfOptions);
    focus(): void;
    protected onCommit(): void;
}
